# frozen_string_literal: true

lib = File.expand_path("lib", __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "jekyll-robotstxt/version"

Gem::Specification.new do |spec|
  spec.name        = "jekyll-robotstxt"
  spec.summary     = "Automatically generate a robots.txt file for your Jekyll site."
  spec.version     = Jekyll::Robots::VERSION
  spec.authors     = ["RDIL"]
  spec.email       = "me@rdil.rocks"
  spec.date        = '2019-04-09'
  spec.homepage    = "https://github.com/RDIL/jekyll-robotstxt"
  spec.licenses    = ["MIT"]

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r!^bin/!) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.required_ruby_version = ">= 2.3.0"

  spec.add_dependency "jekyll", ">= 3.7", "< 5.0"
  spec.add_dependency "rake"

  spec.add_development_dependency "bundler"
  spec.add_development_dependency "rubocop-jekyll", "~> 0.4"
end
